<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.hslf.record (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.hslf.record (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.hslf.record" class="title">Uses of Package<br>org.apache.poi.hslf.record
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.dev">org.apache.poi.hslf.dev</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.model">org.apache.poi.hslf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.record">org.apache.poi.hslf.record</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.dev">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> used by <a
                        href="../../../../../org/apache/poi/hslf/dev/package-summary.html">org.apache.poi.hslf.dev</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/Record.html#org.apache.poi.hslf.dev">Record</a>
                        <div class="block">This abstract class represents a record in the PowerPoint document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/StyleTextPropAtom.html#org.apache.poi.hslf.dev">StyleTextPropAtom</a>
                        <div class="block">A StyleTextPropAtom (type 4001).</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> used by <a
                        href="../../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExControl.html#org.apache.poi.hslf.model">ExControl</a>
                        <div class="block">A container record that specifies information about an ActiveX control.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.record">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> used by <a
                        href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/AnimationInfoAtom.html#org.apache.poi.hslf.record">AnimationInfoAtom</a>
                        <div class="block">An atom record that specifies the animation information for a shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ColorSchemeAtom.html#org.apache.poi.hslf.record">ColorSchemeAtom</a>
                        <div class="block">A ColorSchemeAtom (type 2032).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/Comment2000Atom.html#org.apache.poi.hslf.record">Comment2000Atom</a>
                        <div class="block">An atomic record containing information about a comment.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/CString.html#org.apache.poi.hslf.record">CString</a>
                        <div class="block">A CString (type 4026).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/DocumentAtom.html#org.apache.poi.hslf.record">DocumentAtom</a>
                        <div class="block">A Document Atom (type 1001).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/Environment.html#org.apache.poi.hslf.record">Environment</a>
                        <div class="block">Environment, which contains lots of settings for the document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/EscherTextboxWrapper.html#org.apache.poi.hslf.record">EscherTextboxWrapper</a>
                        <div class="block">A wrapper around a DDF (Escher) EscherTextbox Record.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExControlAtom.html#org.apache.poi.hslf.record">ExControlAtom</a>
                        <div class="block">An atom record that specifies an ActiveX control.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExEmbed.html#org.apache.poi.hslf.record">ExEmbed</a>
                        <div class="block">This data represents an embedded object in the document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExEmbedAtom.html#org.apache.poi.hslf.record">ExEmbedAtom</a>
                        <div class="block">The atom that holds metadata on a specific embedded object in the document.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExHyperlink.html#org.apache.poi.hslf.record">ExHyperlink</a>
                        <div class="block">This class represents the data of a link in the document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExHyperlinkAtom.html#org.apache.poi.hslf.record">ExHyperlinkAtom</a>
                        <div class="block">Tne atom that holds metadata on a specific Link in the document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExMCIMovie.html#org.apache.poi.hslf.record">ExMCIMovie</a>
                        <div class="block">A container record that specifies information about a movie stored
                            externally.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExMediaAtom.html#org.apache.poi.hslf.record">ExMediaAtom</a>
                        <div class="block">An atom record that specifies information about external audio or video
                            data.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExObjList.html#org.apache.poi.hslf.record">ExObjList</a>
                        <div class="block">This class holds the links to exernal objects referenced
                            from the document.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExObjListAtom.html#org.apache.poi.hslf.record">ExObjListAtom</a>
                        <div class="block">Tne atom that holds the seed info used by a ExObjList</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExOleObjAtom.html#org.apache.poi.hslf.record">ExOleObjAtom</a>
                        <div class="block">Atom storing information for an OLE object.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExVideoContainer.html#org.apache.poi.hslf.record">ExVideoContainer</a>
                        <div class="block">A container record that specifies information about external video data.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/FontCollection.html#org.apache.poi.hslf.record">FontCollection</a>
                        <div class="block"><code>FontCollection</code> ia a container that holds information
                            about all the fonts in the presentation.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/HeadersFootersAtom.html#org.apache.poi.hslf.record">HeadersFootersAtom</a>
                        <div class="block">An atom record that specifies options for displaying headers and footers
                            on a presentation slide or notes slide.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/InteractiveInfoAtom.html#org.apache.poi.hslf.record">InteractiveInfoAtom</a>
                        <div class="block">Tne atom that holds metadata on Links in the document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/NotesAtom.html#org.apache.poi.hslf.record">NotesAtom</a>
                        <div class="block">A Notes Atom (type 1009).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ParentAwareRecord.html#org.apache.poi.hslf.record">ParentAwareRecord</a>
                        <div class="block">Interface to define how a record can indicate it cares about what its
                            parent is, and how it wants to be told which record is its parent.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/PersistRecord.html#org.apache.poi.hslf.record">PersistRecord</a>
                        <div class="block">A record that can be referenced in PersistPtr storage.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/PositionDependentRecord.html#org.apache.poi.hslf.record">PositionDependentRecord</a>
                        <div class="block">Records which either care about where they are on disk, or have other
                            records who care about where they are, will implement this interface.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/PositionDependentRecordAtom.html#org.apache.poi.hslf.record">PositionDependentRecordAtom</a>
                        <div class="block">A special (and dangerous) kind of Record Atom that cares about where
                            it lives on the disk, or who has other Atoms that care about where
                            this is on the disk.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/PositionDependentRecordContainer.html#org.apache.poi.hslf.record">PositionDependentRecordContainer</a>
                        <div class="block">A special (and dangerous) kind of Record Container, for which other
                            Atoms care about where this one lives on disk.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/PPDrawing.html#org.apache.poi.hslf.record">PPDrawing</a>
                        <div class="block">These are actually wrappers onto Escher drawings.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/PPDrawingGroup.html#org.apache.poi.hslf.record">PPDrawingGroup</a>
                        <div class="block">Container records which always exists inside Document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/Record.html#org.apache.poi.hslf.record">Record</a>
                        <div class="block">This abstract class represents a record in the PowerPoint document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/RecordAtom.html#org.apache.poi.hslf.record">RecordAtom</a>
                        <div class="block">Abstract class which all atom records will extend.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/RecordContainer.html#org.apache.poi.hslf.record">RecordContainer</a>
                        <div class="block">Abstract class which all container records will extend.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/RecordTypes.html#org.apache.poi.hslf.record">RecordTypes</a>
                        <div class="block">List of all known record types in a PowerPoint document, and the
                            classes that handle them.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/RecordTypes.RecordConstructor.html#org.apache.poi.hslf.record">RecordTypes.RecordConstructor</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/SheetContainer.html#org.apache.poi.hslf.record">SheetContainer</a>
                        <div class="block">The superclass of all sheet container records - Slide, Notes, MainMaster,
                            etc.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/SlideAtom.html#org.apache.poi.hslf.record">SlideAtom</a>
                        <div class="block">A Slide Atom (type 1007).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/SlideAtomLayout.html#org.apache.poi.hslf.record">SlideAtomLayout</a>
                        <div class="block">Holds the geometry of the Slide, and the ID of the placeholders on the
                            slide.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/SlideAtomLayout.SlideLayoutType.html#org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/SlideListWithText.html#org.apache.poi.hslf.record">SlideListWithText</a>
                        <div class="block">These are tricky beasts.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/SlideListWithText.SlideAtomsSet.html#org.apache.poi.hslf.record">SlideListWithText.SlideAtomsSet</a>
                        <div class="block">Inner class to wrap up a matching set of records that hold the
                            text for a given sheet.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/SlidePersistAtom.html#org.apache.poi.hslf.record">SlidePersistAtom</a>
                        <div class="block">A SlidePersist Atom (type 1011).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/StyleTextProp9Atom.html#org.apache.poi.hslf.record">StyleTextProp9Atom</a>
                        <div class="block">The atom record that specifies additional text formatting.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/StyleTextPropAtom.html#org.apache.poi.hslf.record">StyleTextPropAtom</a>
                        <div class="block">A StyleTextPropAtom (type 4001).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/TextRulerAtom.html#org.apache.poi.hslf.record">TextRulerAtom</a>
                        <div class="block">Ruler of a text as it differs from the style's ruler settings.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/TextSpecInfoRun.html#org.apache.poi.hslf.record">TextSpecInfoRun</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/TextSpecInfoRun.SpellInfoEnum.html#org.apache.poi.hslf.record">TextSpecInfoRun.SpellInfoEnum</a>
                        <div class="block">A enum that specifies the spelling status of a run of text.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/TxMasterStyleAtom.html#org.apache.poi.hslf.record">TxMasterStyleAtom</a>
                        <div class="block">TxMasterStyleAtom atom (4003).</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a> used by <a
                        href="../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ColorSchemeAtom.html#org.apache.poi.hslf.usermodel">ColorSchemeAtom</a>
                        <div class="block">A ColorSchemeAtom (type 2032).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/Comment2000.html#org.apache.poi.hslf.usermodel">Comment2000</a>
                        <div class="block">This class represents a comment on a slide, in the format used by
                            PPT 2000/XP/etc.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/CurrentUserAtom.html#org.apache.poi.hslf.usermodel">CurrentUserAtom</a>
                        <div class="block">This is a special kind of Atom, because it doesn't live inside the
                            PowerPoint document.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/Document.html#org.apache.poi.hslf.usermodel">Document</a>
                        <div class="block">Master container for Document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/DocumentEncryptionAtom.html#org.apache.poi.hslf.usermodel">DocumentEncryptionAtom</a>
                        <div class="block">A Document Encryption Atom (type 12052).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/EscherTextboxWrapper.html#org.apache.poi.hslf.usermodel">EscherTextboxWrapper</a>
                        <div class="block">A wrapper around a DDF (Escher) EscherTextbox Record.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExEmbed.html#org.apache.poi.hslf.usermodel">ExEmbed</a>
                        <div class="block">This data represents an embedded object in the document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExHyperlink.html#org.apache.poi.hslf.usermodel">ExHyperlink</a>
                        <div class="block">This class represents the data of a link in the document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/ExOleObjStg.html#org.apache.poi.hslf.usermodel">ExOleObjStg</a>
                        <div class="block">Storage for embedded OLE objects.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/FontEntityAtom.html#org.apache.poi.hslf.usermodel">FontEntityAtom</a>
                        <div class="block">This atom corresponds exactly to a Windows Logical Font (LOGFONT)
                            structure.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/HSLFEscherClientDataRecord.html#org.apache.poi.hslf.usermodel">HSLFEscherClientDataRecord</a>
                        <div class="block">An atom record that specifies whether a shape is a placeholder shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/InteractiveInfo.html#org.apache.poi.hslf.usermodel">InteractiveInfo</a>
                        <div class="block">This class represents the metadata of a link in a slide/notes/etc.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/MainMaster.html#org.apache.poi.hslf.usermodel">MainMaster</a>
                        <div class="block">Master slide</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/Notes.html#org.apache.poi.hslf.usermodel">Notes</a>
                        <div class="block">Master container for Notes.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/OEPlaceholderAtom.html#org.apache.poi.hslf.usermodel">OEPlaceholderAtom</a>
                        <div class="block">OEPlaceholderAtom (3011).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/PositionDependentRecord.html#org.apache.poi.hslf.usermodel">PositionDependentRecord</a>
                        <div class="block">Records which either care about where they are on disk, or have other
                            records who care about where they are, will implement this interface.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/PPDrawing.html#org.apache.poi.hslf.usermodel">PPDrawing</a>
                        <div class="block">These are actually wrappers onto Escher drawings.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/Record.html#org.apache.poi.hslf.usermodel">Record</a>
                        <div class="block">This abstract class represents a record in the PowerPoint document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/RecordTypes.html#org.apache.poi.hslf.usermodel">RecordTypes</a>
                        <div class="block">List of all known record types in a PowerPoint document, and the
                            classes that handle them.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/RoundTripHFPlaceholder12.html#org.apache.poi.hslf.usermodel">RoundTripHFPlaceholder12</a>
                        <div class="block">An atom record that specifies that a shape is a header or footer placeholder
                            shape
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/SheetContainer.html#org.apache.poi.hslf.usermodel">SheetContainer</a>
                        <div class="block">The superclass of all sheet container records - Slide, Notes, MainMaster,
                            etc.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/Slide.html#org.apache.poi.hslf.usermodel">Slide</a>
                        <div class="block">Master container for Slides.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/SlideListWithText.SlideAtomsSet.html#org.apache.poi.hslf.usermodel">SlideListWithText.SlideAtomsSet</a>
                        <div class="block">Inner class to wrap up a matching set of records that hold the
                            text for a given sheet.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/Sound.html#org.apache.poi.hslf.usermodel">Sound</a>
                        <div class="block">A container holding information about a sound.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/StyleTextProp9Atom.html#org.apache.poi.hslf.usermodel">StyleTextProp9Atom</a>
                        <div class="block">The atom record that specifies additional text formatting.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/TextRulerAtom.html#org.apache.poi.hslf.usermodel">TextRulerAtom</a>
                        <div class="block">Ruler of a text as it differs from the style's ruler settings.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/TxInteractiveInfoAtom.html#org.apache.poi.hslf.usermodel">TxInteractiveInfoAtom</a>
                        <div class="block">Tne atom that holds starting and ending character positions of a hyperlink
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hslf/record/class-use/TxMasterStyleAtom.html#org.apache.poi.hslf.usermodel">TxMasterStyleAtom</a>
                        <div class="block">TxMasterStyleAtom atom (4003).</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
